Get swap fees.
curl --request GET \
--url https://{environment}.garden.finance/v2/fees \
--header 'garden-app-id: <api-key>'import requests
url = "https://{environment}.garden.finance/v2/fees"
headers = {"garden-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'garden-app-id': '<api-key>'}};
fetch('https://{environment}.garden.finance/v2/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Ok",
"result": "2668122"
}Monitoring
Total Fees
GET
/
fees
Get swap fees.
Retrieve total fees processed by Garden in USD, or affiliate fees if a
garden-app-id header is provided.Authorizations
Query Parameters
(Optional) Chain identifier to filter stats by specific source chain. Mainnet
Available options:
arbitrum, ethereum, bitcoin, base, bnbchain, botanix, citrea, hyperevm, litecoin, monad, solana, starknet, tron (Optional) Chain identifier to filter stats by specific destination chain. Mainnet
Available options:
arbitrum, ethereum, bitcoin, base, bnbchain, botanix, citrea, hyperevm, litecoin, monad, solana, starknet, tron (Optional) Address to filter stats by specific address.
(Optional) Unix timestamp marking the start time.
(Optional) Unix timestamp marking the end time.
Was this page helpful?